#
# Conditional build:
%bcond_without	tests		# perform "make test"

%define		pdir	EV
%include	/usr/lib/rpm/macros.perl
Summary:	EV - Perl interface to libev, a high performance full-featured event loop
Summary(pl.UTF-8):	EV - perlowy interfejs do libev - wydajnej pętli zdarzeń
Name:		perl-EV
Version:	4.18
Release:	3
Epoch:		1
# same as Perl, libev: BSD-like
License:	GPL v1+ or Artistic (Perl module), BSD-like (embedded libev)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/ML/MLEHMANN/%{pdir}-%{version}.tar.gz
# Source0-md5:	5931d0ba91f93b95723e80d573da606f
URL:		http://search.cpan.org/dist/EV/
BuildRequires:	perl-common-sense
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an interface to libev
<http://software.schmorp.de/pkg/libev.html>.

This module is very fast and scalable. It is actually so fast that you
can use it through the AnyEvent module, stay portable to other event
loops (if you don't rely on any watcher types not available through
it) and still be faster than with any other event loop currently
supported in Perl.

%description -l pl.UTF-8
Moduł ten dostarcza intefejs do libev
<http://software.schmorp.de/pkg/libev.html>.

Jest bardzo szybki i skalowalny. Właściwie jest na tyle szybki, że
można go użyć poprzez moduł AnyEvent i pozostawić kod przenośnym na
inne pętle zdarzeń (jeśli nie jest wymagane użycie typów obserwatorów
niedostępnych przez AnyEvent), i całość jest nadal szybsza niż inne
pętle zdarzeń dostępne z poziomu Perla.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor </dev/null
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d libev-doc
mv -f libev/{Changes,LICENSE,README} libev-doc
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/EV/libev.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes COPYING README libev-doc
%dir %{perl_vendorarch}/EV
%{perl_vendorarch}/EV/*.pm
%{perl_vendorarch}/EV.pm
%{perl_vendorarch}/EV/EVAPI.h
%{perl_vendorarch}/EV/ev.h
%dir %{perl_vendorarch}/auto/EV
%attr(755,root,root) %{perl_vendorarch}/auto/EV/EV.so
%{_mandir}/man3/EV*.3pm*
%changelog
* Wed Feb 04 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-EV.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b469b18
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3c6a322
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 97e3756
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Thu Sep 11 2014 Elan Ruusamäe <glen@delfi.ee> 96ca67f
- unify Perl caps

* Tue Sep 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 40f8a47
- updated to 4.18

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 877c9db
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 31f3f1c
- updated to 4.15

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> dccc494
- check-files cleanup

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> c9dc519
- up to 4.11

* Tue Jan 24 2012 zbyniu <zbyniu@pld-linux.org> 2a91bc1
- up to 4.10

* Mon Feb 21 2011 Jakub Bogusz <qboosh@pld-linux.org> ecd9f0a
- updated to 4.03

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d2e7c37
- release 5

* Thu Feb 18 2010 ankry <ankry@pld-linux.org> 05a68de
- Epoch 1 to ensure 3.9 > 3.44, rel. 4

* Tue Feb 16 2010 sparky <sparky@pld-linux.org> b34e4ad
- BR: perl-common-sense

* Tue Feb 16 2010 ankry <ankry@pld-linux.org> 7b6014f
- up to 2.9, enabled tests

* Tue Feb 16 2010 ankry <ankry@pld-linux.org> 9854614
- more doc, license info fix

* Tue Feb 16 2010 ankry <ankry@pld-linux.org> 36679d7
- make build non-interactive, license info from COPYING, rel. 3

* Tue Oct 27 2009 amateja <amateja@pld-linux.org> 95074e4
- added missing %dir in %files section
- release 2

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> 1cf0204
- updated to 3.8

* Wed Jun 17 2009 amateja <amateja@pld-linux.org> 4247d54
- updated Source0 URL
- cleanup

